package com.rjconsultores.ventaboletos.utilerias.fiscal.vo;

import java.math.BigDecimal;
import java.util.Date;

public class DetalhadoFiscal {

	private Long cajaId;
	private String tipoReceita;
	private String numoperacion;
	private Integer estadoId;
	private Date fechorVenta;
	private String estadoOrigem;
	private String estadoDestino;
	private String municipioOrigem;
	private boolean isInterEstadual;
	private BigDecimal icmsInterestadual;
	private BigDecimal icmsIntermunicipal;
	private BigDecimal redBaseCalcIcms;
	private BigDecimal porcRedMunicipal;
	private BigDecimal porcRedEstadual;
	private BigDecimal tributacaoImportacao;
	private Boolean indTarifaMunicipal;
	private Boolean indSeguroMunicipal;
	private Boolean indTxembarqueMunicipal;
	private Boolean indPedagioMunicipal;
	private Boolean indTarifaEstadual;
	private Boolean indSeguroEstadual;
	private Boolean indTxembarqueEstadual;
	private Boolean indPedagioEstdual;
	private Boolean isenta;
	private BigDecimal tarifa;
	private BigDecimal taxaEmbarque;
	private BigDecimal pedagio;
	private BigDecimal seguro;
	private BigDecimal outros;
	private String datamov;

	private String xml;

	private String codstatus;
	private String chbpe;

	private String cmunini;
	private String cmunfim;
	private String ufini;
	private String uffim;
	private String nbp;
	private String dhemb;
	private String cst00;
	private String cst20;
	private String cst45;
	private String cst90;
	private String cstoutrauf;
	private String cstsn;
	private String vbc00;
	private String picms00;
	private String vicms00;
	private String vbc20;
	private String picms20;
	private String vicms20;
	private String vbp;
	private String vdesconto;
	private String vpgto;
	private String tpcomp01;
	private String tpcomp02;
	private String tpcomp03;
	private String tpcomp04;
	private String tpcomp05;
	private String tpcomp06;
	private String tpcomp99;
	private String vcomp01;
	private String vcomp02;
	private String vcomp03;
	private String vcomp04;
	private String vcomp05;
	private String vcomp06;
	private String vcomp99;
	private String pRedBC;

	public Long getCajaId() {
		return cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public String getTipoReceita() {
		return tipoReceita;
	}

	public void setTipoReceita(String tipoReceita) {
		this.tipoReceita = tipoReceita;
	}

	public String getNumoperacion() {
		return numoperacion;
	}

	public void setNumoperacion(String numoperacion) {
		this.numoperacion = numoperacion;
	}

	public Integer getEstadoId() {
		return estadoId;
	}

	public void setEstadoId(Integer estadoId) {
		this.estadoId = estadoId;
	}

	public Date getFechorVenta() {
		return fechorVenta;
	}

	public void setFechorVenta(Date fechorVenta) {
		this.fechorVenta = fechorVenta;
	}

	public String getEstadoOrigem() {
		return estadoOrigem;
	}

	public void setEstadoOrigem(String estadoOrigem) {
		this.estadoOrigem = estadoOrigem;
	}

	public String getEstadoDestino() {
		return estadoDestino;
	}

	public void setEstadoDestino(String estadoDestino) {
		this.estadoDestino = estadoDestino;
	}

	public String getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(String municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public boolean isInterEstadual() {
		return isInterEstadual;
	}

	public void setInterEstadual(boolean isInterEstadual) {
		this.isInterEstadual = isInterEstadual;
	}

	public BigDecimal getIcmsInterestadual() {
		return icmsInterestadual;
	}

	public void setIcmsInterestadual(BigDecimal icmsInterestadual) {
		this.icmsInterestadual = icmsInterestadual;
	}

	public BigDecimal getIcmsIntermunicipal() {
		return icmsIntermunicipal;
	}

	public void setIcmsIntermunicipal(BigDecimal icmsIntermunicipal) {
		this.icmsIntermunicipal = icmsIntermunicipal;
	}

	public BigDecimal getRedBaseCalcIcms() {
		return redBaseCalcIcms;
	}

	public void setRedBaseCalcIcms(BigDecimal redBaseCalcIcms) {
		this.redBaseCalcIcms = redBaseCalcIcms;
	}

	public BigDecimal getPorcRedMunicipal() {
		return porcRedMunicipal;
	}

	public void setPorcRedMunicipal(BigDecimal porcRedMunicipal) {
		this.porcRedMunicipal = porcRedMunicipal;
	}

	public BigDecimal getPorcRedEstadual() {
		return porcRedEstadual;
	}

	public void setPorcRedEstadual(BigDecimal porcRedEstadual) {
		this.porcRedEstadual = porcRedEstadual;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	public Boolean getIndTarifaMunicipal() {
		return indTarifaMunicipal;
	}

	public void setIndTarifaMunicipal(Boolean indTarifaMunicipal) {
		this.indTarifaMunicipal = indTarifaMunicipal;
	}

	public Boolean getIndSeguroMunicipal() {
		return indSeguroMunicipal;
	}

	public void setIndSeguroMunicipal(Boolean indSeguroMunicipal) {
		this.indSeguroMunicipal = indSeguroMunicipal;
	}

	public Boolean getIndTxembarqueMunicipal() {
		return indTxembarqueMunicipal;
	}

	public void setIndTxembarqueMunicipal(Boolean indTxembarqueMunicipal) {
		this.indTxembarqueMunicipal = indTxembarqueMunicipal;
	}

	public Boolean getIndPedagioMunicipal() {
		return indPedagioMunicipal;
	}

	public void setIndPedagioMunicipal(Boolean indPedagioMunicipal) {
		this.indPedagioMunicipal = indPedagioMunicipal;
	}

	public Boolean getIndTarifaEstadual() {
		return indTarifaEstadual;
	}

	public void setIndTarifaEstadual(Boolean indTarifaEstadual) {
		this.indTarifaEstadual = indTarifaEstadual;
	}

	public Boolean getIndSeguroEstadual() {
		return indSeguroEstadual;
	}

	public void setIndSeguroEstadual(Boolean indSeguroEstadual) {
		this.indSeguroEstadual = indSeguroEstadual;
	}

	public Boolean getIndTxembarqueEstadual() {
		return indTxembarqueEstadual;
	}

	public void setIndTxembarqueEstadual(Boolean indTxembarqueEstadual) {
		this.indTxembarqueEstadual = indTxembarqueEstadual;
	}

	public Boolean getIndPedagioEstdual() {
		return indPedagioEstdual;
	}

	public void setIndPedagioEstdual(Boolean indPedagioEstdual) {
		this.indPedagioEstdual = indPedagioEstdual;
	}

	public Boolean getIsenta() {
		return isenta;
	}

	public void setIsenta(Boolean isenta) {
		this.isenta = isenta;
	}

	public BigDecimal getTarifa() {
		return tarifa;
	}

	public void setTarifa(BigDecimal tarifa) {
		this.tarifa = tarifa;
	}

	public BigDecimal getTaxaEmbarque() {
		return taxaEmbarque;
	}

	public void setTaxaEmbarque(BigDecimal taxaEmbarque) {
		this.taxaEmbarque = taxaEmbarque;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getSeguro() {
		return seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public BigDecimal getOutros() {
		return outros;
	}

	public void setOutros(BigDecimal outros) {
		this.outros = outros;
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public String getXml() {
		return xml;
	}

	public void setXml(String xml) {
		this.xml = xml;
	}

	public String getCmunini() {
		return cmunini;
	}

	public void setCmunini(String cmunini) {
		this.cmunini = cmunini;
	}

	public String getCmunfim() {
		return cmunfim;
	}

	public void setCmunfim(String cmunfim) {
		this.cmunfim = cmunfim;
	}

	public String getUfini() {
		return ufini;
	}

	public void setUfini(String ufini) {
		this.ufini = ufini;
	}

	public String getUffim() {
		return uffim;
	}

	public void setUffim(String uffim) {
		this.uffim = uffim;
	}

	public String getNbp() {
		return nbp;
	}

	public void setNbp(String nbp) {
		this.nbp = nbp;
	}

	public String getDhemb() {
		return dhemb;
	}

	public void setDhemb(String dhemb) {
		this.dhemb = dhemb;
	}

	public String getCst00() {
		return cst00;
	}

	public void setCst00(String cst00) {
		this.cst00 = cst00;
	}

	public String getCst20() {
		return cst20;
	}

	public void setCst20(String cst20) {
		this.cst20 = cst20;
	}

	public String getCst45() {
		return cst45;
	}

	public void setCst45(String cst45) {
		this.cst45 = cst45;
	}

	public String getCst90() {
		return cst90;
	}

	public void setCst90(String cst90) {
		this.cst90 = cst90;
	}

	public String getCstoutrauf() {
		return cstoutrauf;
	}

	public void setCstoutrauf(String cstoutrauf) {
		this.cstoutrauf = cstoutrauf;
	}

	public String getCstsn() {
		return cstsn;
	}

	public void setCstsn(String cstsn) {
		this.cstsn = cstsn;
	}

	public String getVbc00() {
		return vbc00;
	}

	public void setVbc00(String vbc00) {
		this.vbc00 = vbc00;
	}

	public String getPicms00() {
		return picms00;
	}

	public void setPicms00(String picms00) {
		this.picms00 = picms00;
	}

	public String getVicms00() {
		return vicms00;
	}

	public void setVicms00(String vicms00) {
		this.vicms00 = vicms00;
	}

	public String getVbc20() {
		return vbc20;
	}

	public void setVbc20(String vbc20) {
		this.vbc20 = vbc20;
	}

	public String getPicms20() {
		return picms20;
	}

	public void setPicms20(String picms20) {
		this.picms20 = picms20;
	}

	public String getVicms20() {
		return vicms20;
	}

	public void setVicms20(String vicms20) {
		this.vicms20 = vicms20;
	}

	public String getVbp() {
		return vbp;
	}

	public void setVbp(String vbp) {
		this.vbp = vbp;
	}

	public String getVdesconto() {
		return vdesconto;
	}

	public void setVdesconto(String vdesconto) {
		this.vdesconto = vdesconto;
	}

	public String getVpgto() {
		return vpgto;
	}

	public void setVpgto(String vpgto) {
		this.vpgto = vpgto;
	}

	public String getTpcomp01() {
		return tpcomp01;
	}

	public void setTpcomp01(String tpcomp01) {
		this.tpcomp01 = tpcomp01;
	}

	public String getTpcomp02() {
		return tpcomp02;
	}

	public void setTpcomp02(String tpcomp02) {
		this.tpcomp02 = tpcomp02;
	}

	public String getTpcomp03() {
		return tpcomp03;
	}

	public void setTpcomp03(String tpcomp03) {
		this.tpcomp03 = tpcomp03;
	}

	public String getTpcomp04() {
		return tpcomp04;
	}

	public void setTpcomp04(String tpcomp04) {
		this.tpcomp04 = tpcomp04;
	}

	public String getTpcomp05() {
		return tpcomp05;
	}

	public void setTpcomp05(String tpcomp05) {
		this.tpcomp05 = tpcomp05;
	}

	public String getTpcomp06() {
		return tpcomp06;
	}

	public void setTpcomp06(String tpcomp06) {
		this.tpcomp06 = tpcomp06;
	}

	public String getTpcomp99() {
		return tpcomp99;
	}

	public void setTpcomp99(String tpcomp99) {
		this.tpcomp99 = tpcomp99;
	}

	public String getVcomp01() {
		return vcomp01;
	}

	public void setVcomp01(String vcomp01) {
		this.vcomp01 = vcomp01;
	}

	public String getVcomp02() {
		return vcomp02;
	}

	public void setVcomp02(String vcomp02) {
		this.vcomp02 = vcomp02;
	}

	public String getVcomp03() {
		return vcomp03;
	}

	public void setVcomp03(String vcomp03) {
		this.vcomp03 = vcomp03;
	}

	public String getVcomp04() {
		return vcomp04;
	}

	public void setVcomp04(String vcomp04) {
		this.vcomp04 = vcomp04;
	}

	public String getVcomp05() {
		return vcomp05;
	}

	public void setVcomp05(String vcomp05) {
		this.vcomp05 = vcomp05;
	}

	public String getVcomp06() {
		return vcomp06;
	}

	public void setVcomp06(String vcomp06) {
		this.vcomp06 = vcomp06;
	}

	public String getVcomp99() {
		return vcomp99;
	}

	public void setVcomp99(String vcomp99) {
		this.vcomp99 = vcomp99;
	}

	public String getpRedBC() {
		return pRedBC;
	}

	public void setpRedBC(String pRedBC) {
		this.pRedBC = pRedBC;
	}

	public String getCodstatus() {
		return codstatus;
	}

	public void setCodstatus(String codstatus) {
		this.codstatus = codstatus;
	}

	public String getChbpe() {
		return chbpe;
	}

	public void setChbpe(String chbpe) {
		this.chbpe = chbpe;
	}

}